+1-888-365-2779
Try Now
More in this section

Forums / Set-up & Installation / Upgrade .net framework version

Upgrade .net framework version

6 posts, 0 answered
  1. Andrew Booth
    Andrew Booth avatar
    21 posts
    Registered:
    20 Jul 2009
    07 Jun 2010
    Link to this post
    Is it possible to upgrade the .net framework version on sitefinity from 2.0 to 3.5

    (3.7.2057.220 to 3.7.2057.2)?

    If so, how would I go about doing this easily?
  2. Ivan Dimitrov
    Ivan Dimitrov avatar
    16072 posts
    Registered:
    25 Nov 2016
    07 Jun 2010
    Link to this post
    Hi Andrew Booth,

    Add the project in Visual Studio and rebuild in against .NET Framework 3.5. The visual studio will automatically upgrade the references.

    Sincerely yours,
    Ivan Dimitrov
    the Telerik team

    Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items.
  3. Andrew Booth
    Andrew Booth avatar
    21 posts
    Registered:
    20 Jul 2009
    07 Jun 2010
    Link to this post
    Would I also need to replace any telerik dlls or files after rebuilding the solution in 3.5?
  4. Ivan Dimitrov
    Ivan Dimitrov avatar
    16072 posts
    Registered:
    25 Nov 2016
    07 Jun 2010
    Link to this post
    Hello Andrew Booth,

    You have to change the Target Framework only  - Change the Target .NET Framework Version or Profile for an Existing Project. This will change the design time manifestation of a runtime framework. Generally there are not code changes in our dlls.

    Best wishes,
    Ivan Dimitrov
    the Telerik team

    Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items.
  5. Andrew Booth
    Andrew Booth avatar
    21 posts
    Registered:
    20 Jul 2009
    07 Jun 2010
    Link to this post
    Gotcha. I can do all that fine. I guess I should outline my underlying issue. There is a module I am trying to bolt on, but it is referencing 3.5 telerik dlls. So even if i rebuild the framework in 3.5, I still have 2.0 telerik dlls which are the wrong version for what the module is looking for.
  6. Ivan Dimitrov
    Ivan Dimitrov avatar
    16072 posts
    Registered:
    25 Nov 2016
    08 Jun 2010
    Link to this post
    Hello Andrew Booth,

    If you have a custom module that refers .NET 3.5 you could replace the dlls in your bin.

    Sincerely yours,
    Ivan Dimitrov
    the Telerik team

    Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items.
Register for webinar
6 posts, 0 answered